package com.bytedance.android.livesdk.livesetting.performance.degrade;

import X.7he;
import X.C3371GrE;
import X.Crj;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.covode.number.Covode;

@SettingsKey("retrofit_api_preload_opt")
public final class RetrofitApiPreloadOptSetting {
    @Group(isDefault = true, value = "control_group")
    public static final boolean DEFAULT = false;
    @Group("experimental_group")
    public static final boolean ENABLE = true;
    public static final RetrofitApiPreloadOptSetting INSTANCE = new RetrofitApiPreloadOptSetting();
    public static final Crj enable$delegate = 7he.LIZ(C3371GrE.LIZ);

    public final boolean getEnable() {
        return ((Boolean) enable$delegate.getValue()).booleanValue();
    }

    static {
        Covode.recordClassIndex(18217);
    }
}
